#! /usr/bin/env bash
#
# Copyright 2021 Xilinx, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# Tested on CentOS Linux release 8.3.2011
# If UEFI secure boot is enabled then you have to sign your module
set -e
set -x
sudo yum -y install \
    kernel-devel \
    elfutils-libelf-devel
make -C /usr/src/kernels/$(uname -r) M=$PWD
sudo modprobe uio
sudo insmod pan_uio.ko
